# Get a list of identities Get a list of identities that match the query parameters. Note: Depending on the number of identities in your account, not all of them may be returned even if they match your query parameters. Endpoint: GET /identities Version: 1.0.0 Security: Bearer ## Query parameters: - `identityType` (string) The type of identities you want to retrieve Enum: "SENDER", "BENEFICIARY", "ORIGINATOR" - `nickName` (string) The nickname of the identity provided at the time of identity creation. Example: "Successful Beneficiary" ## Response 200 fields (application/json): - `data` (array) The list of the identities that match the query parameters - `data.identityId` (string, required) The unique ID of the identity Example: "2f4ac57f-c5ba-4051-b51f-b3565778717b" - `data.nickName` (string, required) The nickname of the identity provided at the time of identity creation. Example: "MyCompany" - `data.createdAt` (string, required) The time at which the identity was created Example: "2023-11-02T18:26:00.000Z" - `data.identityType` (string, required) The type of the identity Enum: "SENDER", "BENEFICIARY", "ORIGINATOR" - `data.useCaseType` (string, required) The use case type for the identity Enum: "INDIVIDUAL", "BUSINESS" ## Response 400 fields (application/json): - `status` (integer, required) The HTTP status code of the error Example: 404 - `errors` (array, required) - `errors.code` (string, required) The HTTP status code of the error Example: "404" - `errors.category` (string) The category of the error Enum: "APPLICATION", "CLIENT_ERROR" - `errors.title` (string) The title of the error Example: "NOT FOUND" - `errors.detail` (string, required) The detail of the error Example: "The identity does not exist" - `errors.retryable` (boolean) Flag to specify if the error is retryable or not - `timestamp` (string) The timestamp of the error Example: "2023-11-02T18:26:00.000Z" ## Response 404 fields (application/json): - `status` (integer, required) The HTTP status code of the error Example: 404 - `errors` (array, required) - `errors.code` (string, required) The HTTP status code of the error Example: "404" - `errors.category` (string) The category of the error Enum: "APPLICATION", "CLIENT_ERROR" - `errors.title` (string) The title of the error Example: "NOT FOUND" - `errors.detail` (string, required) The detail of the error Example: "The identity does not exist" - `errors.retryable` (boolean) Flag to specify if the error is retryable or not - `timestamp` (string) The timestamp of the error Example: "2023-11-02T18:26:00.000Z" ## Response 500 fields (application/json): - `status` (integer, required) The HTTP status code of the error Example: 404 - `errors` (array, required) - `errors.code` (string, required) The HTTP status code of the error Example: "404" - `errors.category` (string) The category of the error Enum: "APPLICATION", "CLIENT_ERROR" - `errors.title` (string) The title of the error Example: "NOT FOUND" - `errors.detail` (string, required) The detail of the error Example: "The identity does not exist" - `errors.retryable` (boolean) Flag to specify if the error is retryable or not - `timestamp` (string) The timestamp of the error Example: "2023-11-02T18:26:00.000Z"